import { z } from 'zod'

type KfrFormData = z.infer<typeof KfrSchema>
const KfrSchema = z.object({
  subjective: z.string({required_error: 'Mohon lengkapi Form',}),
  objective: z.string({required_error: 'Mohon lengkapi Form',}),
  assesment: z.string({required_error: 'Mohon lengkapi Form',}),
  planningGoal: z.string({required_error: 'Mohon lengkapi Form',}),
  planningAction: z.string({required_error: 'Mohon lengkapi Form',}),
  planningEducation: z.string({required_error: 'Mohon lengkapi Form',}),
  planningFrequency: z.number({required_error: 'Mohon lengkapi Form',}),
  followUpPlan: z.enum(['EVALUASI', 'RUJUK', "SELESAI"], {required_error: 'Mohon lengkapi status pasien', }),
  followUpPlanDesc: z.string({required_error: 'Mohon lengkapi Form',}),
})

export { KfrSchema,  }
export type { KfrFormData,  }
